Subject: bug#37837: [PATCH] Make sb-image.el obsolete

From: Stefan Kangas <[email-masked]>
Date: Sun, 20 Oct 2019 22:28:40 +0200

sb-image.el says:

;; Supporting Image display for Emacs 20 and less, Emacs 21, and XEmacs,
;; is a challenging task, which doesn't take kindly to being byte compiled.
;; When sharing speedbar.elc between these three applications, the Image
;; support can get lost.
;;
;; By splitting out that hard part into this file, and avoiding byte
;; compilation, one copy speedbar can support all these platforms together.

I suggest to get rid of this compatibility kludge.  Is the attached
patch an acceptable way to do that?

Best regards,
Stefan Kangas